<script src="https://use.fontawesome.com/6510770091.js"></script>
<div class="site-wrap">

    <div class="site-mobile-menu site-navbar-target">
      <div class="site-mobile-menu-header">
        <div class="site-mobile-menu-close">
          <span class="icon-close2 js-menu-toggle"></span>
        </div>
      </div>
      <div class="site-mobile-menu-body"></div>
    </div>

<div class="hero overlay" style="background-image: url('assets/images/bg_3.jpg');">
<div class="container">
<div class="row align-items-center">
<div class="col-lg-9 mx-auto text-center">
  <h1 class="text-white">Table Matches</h1>
  <br>
</div>
</div>
</div>
</div>
<br>

<table class="table">
    <thead>
      <tr>
        <th scope="col">id</th>
        <th scope="col">Team one</th>
        <th scope="col">Team two</th>
        <th scope="col">score 1</th>
        <th scope="col">score 2</th>
      </tr>
    </thead>
    <tbody>
        <tr *ngFor = "let m of matches">
            <th scope="row">{{m.id}}</th>
            <td>{{m.teamOne}}</td>
            <td>{{m.teamTwo}}</td>
            <td>{{m.scoreOne}}</td>
            <td>{{m.scoreTwo}}</td>
            <td>
              <button class="btn btn-danger" (click)="deleteMatches(m.id)">
                  <i class="fas fa-trash"></i> 
              </button>
          </td>
          <td>
              <button class="btn btn-success" (click)="navigate(m.id)">
                  <i class="fas fa-edit"></i> 
              </button>
          </td>
          <td>
            <a class="btn btn-info" [routerLink]="['/match-detail', m.id]">
              <i class="fas fa-eye"></i> View
          </a>
          
          
          </td>
          
            
          </tr>
      
    </tbody>
  </table>